TIBET-WATCH(1)

NAME
tibet-watch - runs a tibet command/task on file changes

SYNOPSIS

tibet watch <dir(s)> <task> [--exclude]

DESCRIPTION

Runs a tibet command or tibet make task in response to file changes.

The dirs argument must be present and can be . or any valid TIBET path. To supply multiple directories separate them with a vertical bar | as in views|./doc/markdown (which watches a web site project for content change).

--exclude is an optional set of anymatch-compatible filters to ignore.

OPTIONS

    •   --exclude : Optional file-exclusion patterns in an anymatch-compatible format..

CONFIGURATION SETTINGS

No configuration variables are required by this command.

ENVIRONMENT VARIABLES

No process environment variables are required by this command.

FILES

EXAMPLES

  Run build_sitedocs in response to a markdown or handlebars file change

    $ tibet watch 'views|./doc/markdown' build_sitedocs
    tibet build_sitedocs '~/views/contact.handlebars'
    Delegating to 'tibet make build_sitedocs'
    building ~/views/contact.handlebars
    Task complete: 38ms.

TIBET SHELL

This command has no client-side TSH peer command.

TROUBLESHOOTING

SEE ALSO